Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mauda.plugin.fibheap
Class FibHeapInteractive

    java.lang.Object
      mauda.plugin.fibheap.FibHeapInteractive

All Implemented Interfaces:
  java.awt.event.ActionListener, java.awt.event.MouseListener, java.util.EventListener

Direct Known Subclasses:
  BinQueueInteractive

    public class FibHeapInteractive

extends java.lang.Object
implements java.awt.event.MouseListener, java.awt.event.ActionListener

Generates and controls the interactive access to FibHeaps.

Author:
  Markus Krebs

Constructor Summary
`FibHeapInteractive(Exercise exercise)` Creates a FibHeap-Interactive

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`
`void` | `mouseClicked(java.awt.event.MouseEvent e)`
`void` | `mouseEntered(java.awt.event.MouseEvent e)`
`void` | `mouseExited(java.awt.event.MouseEvent e)`
`void` | `mousePressed(java.awt.event.MouseEvent e)`
`void` | `mouseReleased(java.awt.event.MouseEvent e)`
`void` | `processMouse(java.awt.event.MouseEvent e)` Handles/Shows the popup-menu in respect to the operating-systems-popup-behaviour

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FibHeapInteractive

    public FibHeapInteractive(Exercise exercise)

  Creates a FibHeap-Interactive

  Parameters:
    `exercise` -

Method Detail

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

  Specified by:
    `mouseClicked` in interface `java.awt.event.MouseListener`

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  Specified by:
    `mousePressed` in interface `java.awt.event.MouseListener`

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  Specified by:
    `mouseReleased` in interface `java.awt.event.MouseListener`

### processMouse

    public void processMouse(java.awt.event.MouseEvent e)

  Handles/Shows the popup-menu in respect to the operating-systems-popup-behaviour

  Parameters:
    `e` - The happened MouseEvent delivered from mousePressed and mouseReleased

### mouseEntered

    public void mouseEntered(java.awt.event.MouseEvent e)

  Specified by:
    `mouseEntered` in interface `java.awt.event.MouseListener`

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent e)

  Specified by:
    `mouseExited` in interface `java.awt.event.MouseListener`

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD